net.i2p.router

## Class RouterLaunch

- java.lang.Object
- - net.i2p.router.RouterLaunch

    public class RouterLaunch
    extends Object

This is the class called by the runplain.sh script on linux and the i2p.exe launcher on Windows. (i.e. no wrapper) If there is no -Dwrapper.log=/path/to/wrapper.log on the java command line to specify a log file, check for existence of wrapper.log in CWD, for backward compatibility in old installations (don't move it). Otherwise, use (system temp dir)/wrapper.log. Create if it doesn't exist, and append to it if it does. Put the location in the environment as an absolute path, so logs.jsp can find it.

### Constructor Summary

Constructors
Constructor and Description
`RouterLaunch()`

### Method Summary

Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RouterLaunch

    public RouterLaunch()

### Method Detail

#### main

    public static void main(String[] args)